**Source URL:** https://limited.veevavault.dev/clinical/vault-api/api-reference/25.3/vault-objects/object-roles/remove-users-groups-from-roles-on-object-records

# Remove Users & Groups from Roles on Object Records

Remove users and groups from roles on an object record in bulk.

*   The maximum CSV input file size is 1GB.
*   The values in the input must be UTF-8 encoded.
*   CSVs must follow the standard RFC 4180 format, with some [exceptions](/clinical/vault-api/references/csv-rfc-deviations).
*   The maximum batch size is 500.

<Endpoint path="/api/{version}/vobjects/{object_name}/roles" method="DELETE" />

## Headers

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `text/csv` or `application/json` |
| `Accept` | `application/json` (default), `text/csv`, or `application/xml` |
</FieldTable>

## URI Path Parameters

<FieldTable>
| Name | Description |
| --- | --- |
| `{object_name}` | The name of the object where you want to remove roles. |
</FieldTable>

## Body Parameters

Prepare a JSON or CSV input file. Users and groups are ignored if they are invalid or inactive.

<FieldTable>
| Name | Description |
| --- | --- |
| `id`<Requiredness type="required" /> | The object record ID. |
| `role__v.users`<Requiredness type="optional" /> | A string of user `id` values to remove. |
| `role__v.groups`<Requiredness type="optional" /> | A string of group `id` values to remove. |
</FieldTable>

See Example JSON Request Body in the right-hand column, or click the button below to download a sample CSV input file.

<DownloadButton href="sample-files/vault_remove_object_record_roles.csv" label="Download Input File" />

## Request

<CodeExample title="">
```bash
curl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: text/csv" \
-H "Accept: text/csv" \
--data-binary @"C:\Vault\Roles\remove_object_record_roles.csv" \
https://myvault.veevavault.com/api/v17.2/vobjects/campaign__c/roles
```
</CodeExample>

## Response

<CodeExample title="">
```json
{
    "responseStatus": "SUCCESS",
    "data": [
        {
            "responseStatus": "SUCCESS",
            "data": {
                "id": "OBE000000000412"
            }
        }
    ]
}
```
</CodeExample>

## Example JSON Request Body

<CodeExample title="">
```json
[
  {
    "id": "OBE000000000412",
    "roles": [
      {
        "role": "content_creator__c",
        "users": "61590"
      }
      ]
  }
]
```
</CodeExample>

## Response Details

On `SUCCESS`, The response includes the object record `id`.

---

**Previous:** [Assign Users & Groups to Roles on Object Records](/clinical/vault-api/api-reference/25.3/vault-objects/object-roles/assign-users-groups-to-roles-on-object-records)  
**Next:** [Object Record Attachments](/clinical/vault-api/api-reference/25.3/vault-objects/object-record-attachments)